Bug 40849 - Update port net/slirp
Summary: Update port net/slirp
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Christian Weisgerber
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-07-21 18:40 UTC by Tilman Linneweh
Modified: 2002-07-22 19:53 UTC (History)
1 user (show)

See Also:


Attachments
slirp.diff (2.42 KB, patch)
2002-07-21 18:40 UTC, Tilman Linneweh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tilman Linneweh 2002-07-21 18:40:01 UTC
	- Update
	- Bump PORTEPOCH, because previous Maintainer added wrong Versionnr.
	- Mastersite moved to SF
	- Correct Maintainer freebsd-ports -> ports, otherwise fenner script 
	is triggered.
Comment 1 Tilman Linneweh 2002-07-21 23:00:11 UTC
> >Category:       ports
> >Responsible:    freebsd-ports
> >Synopsis:       Update port net/slirp
> >Arrival-Date:   Sun Jul 21 10:40:01 PDT 2002

fenner noticed his mistake and updated Makefile without
reading my mail, so here's an updated diff.

regards
arved

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/net/slirp/Makefile,v
retrieving revision 1.15
diff -u -r1.15 Makefile
--- Makefile	21 Jul 2002 19:18:37 -0000	1.15
+++ Makefile	21 Jul 2002 21:57:38 -0000
@@ -6,13 +6,15 @@
 #
 
 PORTNAME=	slirp
-PORTVERSION=	1.0c
+PORTVERSION=	1.0.13
+PORTEPOCH=	1
 CATEGORIES=	net
-MASTER_SITES=	ftp://blitzen.canberra.edu.au/pub/slirp/
+MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
+MASTER_SITE_SUBDIR=slirp
 
 MAINTAINER=	ports@FreeBSD.Org
 
-WRKSRC=		${WRKDIR}/slirp-1.0c/src
+WRKSRC=		${WRKDIR}/${DISTNAME}/src
 GNU_CONFIGURE=	yes
 MAN1=		slirp.1
 
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/net/slirp/distinfo,v
retrieving revision 1.3
diff -u -r1.3 distinfo
--- distinfo	12 Dec 1996 03:24:11 -0000	1.3
+++ distinfo	21 Jul 2002 17:19:31 -0000
@@ -1 +1 @@
-MD5 (slirp-1.0c.tar.gz) = 62aad016f16b51cbdef4c8e34454f31a
+MD5 (slirp-1.0.13.tar.gz) = aaa37a0e6433d177f09ba10145c7d8d3
Index: files/patch-ab
===================================================================
RCS file: /home/ncvs/ports/net/slirp/files/patch-ab,v
retrieving revision 1.1
diff -u -r1.1 patch-ab
--- files/patch-ab	16 Apr 1999 16:14:10 -0000	1.1
+++ files/patch-ab	21 Jul 2002 17:25:39 -0000
@@ -1,34 +1,20 @@
---- tcp_subr.c.orig	Fri Dec 29 15:45:51 1995
-+++ tcp_subr.c	Fri Apr 16 09:03:57 1999
-@@ -238,14 +238,14 @@
+--- tcp_subr.c.orig	Sun Jul 21 19:23:18 2002
++++ tcp_subr.c	Sun Jul 21 19:25:12 2002
+@@ -241,7 +241,7 @@
   * then send a RST to peer.
   */
  struct tcpcb *
--tcp_drop(tp, errno)
-+tcp_drop(tp, err)
+-tcp_drop(struct tcpcb *tp, int errno) {
++tcp_drop(struct tcpcb *tp, int err) {
+ /* tcp_drop(tp, errno)
  	register struct tcpcb *tp;
--	int errno;
-+	int err;
- {
+ 	int errno;
+@@ -250,7 +250,7 @@
  
  	DEBUG_CALL("tcp_drop");
  	DEBUG_ARG("tp = %lx", (long)tp);
 -	DEBUG_ARG("errno = %d", errno);
-+	DEBUG_ARG("err = %d", err);
++	DEBUG_ARG("errno = %d", err);
  	
  	if (TCPS_HAVERCVDSYN(tp->t_state)) {
  		tp->t_state = TCPS_CLOSED;
-@@ -253,10 +253,10 @@
- 		tcpstat.tcps_drops++;
- 	} else
- 		tcpstat.tcps_conndrops++;
--/*	if (errno == ETIMEDOUT && tp->t_softerror)
-- *		errno = tp->t_softerror;
-+/*	if (err == ETIMEDOUT && tp->t_softerror)
-+ *		err = tp->t_softerror;
-  */
--/*	so->so_error = errno; */
-+/*	so->so_error = err; */
- 	return (tcp_close(tp));
- }
-
Comment 2 Christian Weisgerber freebsd_committer 2002-07-21 23:50:05 UTC
Responsible Changed
From-To: freebsd-ports->naddy

I'll take this.
Comment 3 Christian Weisgerber freebsd_committer 2002-07-22 19:53:27 UTC
State Changed
From-To: open->closed

Committed, thanks!